
function 回城()
		
	--特殊处理：锄头碎了，重新买个装备上
	local weaponname=获取装备信息(1,1)
	if weaponname=="" then
	移动到地图2("0103")
         移动到范围2("0103",19,18,5)
	等待(1500)
	坐标对话(19,18)
	等待(1500)
	选择("@buy")
	等待(1500)
		买("鹤嘴锄",2,10,1500)
		使用装备("鹤嘴锄",1)
		等待(1500)
        移动到地图2("0")
	end

	--出发
        移动到范围2("0",334,267,5)
	等待(1500)
	坐标对话(334,267)
	等待(1500)
	选择("@BQKQ")
	等待(1500)
        移动到地图2("D401")
	return 挖矿()
end

function 挖矿()
	开始挖矿()
	使用物品("回城卷")
	等待(2000)
	return 回城()
end
function 过验证()
	local a=获取NPC对话内容()
	if string.find(a,"验证码")~=nil then
        NPC对话内容=获取NPC对话框内容()
        passcode=匹配内容(NPC对话内容,[[(→→※※<[\u4E00-\u9FA5]{1,3})]]) 
        passcode=匹配内容(passcode,[[([\u4E00-\u9FA5]{1,3})]])
               合成命令("@@InputString81",passcode)
        等待(1500)
	end
	return 2
        return 挖矿()
end

do
	--开始
	local mapid=获取地图id()
	if mapid=="D401" then
        清空用户检测()
	添加用户检测("过验证",5000)
		挖矿()
	else
		回城()
	end
end
